.386
.model flat, stdcall  ;32 bit memory model
option casemap :none  ;case sensitive

include MyPath.inc

.code

start:
	invoke	GetModuleHandle,NULL
	mov	hInstance,eax
	invoke	InitCommonControls
	invoke	DialogBoxParam,hInstance,IDD_MAIN,NULL,addr DlgProc,NULL
	invoke	ExitProcess,0

;########################################################################

DlgProc	proc	hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	LOCAL	buffer[MAX_PATH]:BYTE
	LOCAL	buffer1[MAX_PATH]:BYTE
	LOCAL	val:DWORD

	mov	eax,uMsg
	.if	eax==WM_INITDIALOG
		;Set current path to where exe is loaded
		invoke GetModuleFileName,0,addr buffer,sizeof buffer
		invoke GetFullPathName,addr buffer,sizeof buffer1,addr buffer1,addr val
		mov		eax,val
		mov		byte ptr [eax-1],0
		invoke SetCurrentDirectory,addr buffer1
	.elseif	eax==WM_COMMAND
		mov edx,wParam
		movzx eax,dx
		shr edx,16
		.if edx==BN_CLICKED
			.if eax==IDOK
				invoke GetCurrentDirectory,sizeof buffer,addr buffer
				invoke SetDlgItemText,hWin,1001,addr buffer
			.elseif eax==IDCANCEL
				invoke	SendMessage,hWin,WM_CLOSE,NULL,NULL
			.endif
		.endif
	.elseif	eax==WM_CLOSE
		invoke	EndDialog,hWin,0
	.else
		mov	eax,FALSE
		ret
	.endif
	mov	eax,TRUE
	ret
DlgProc endp

end start
